
Base Distribution - Task # 48091

Work Package # 47023 (Accepted): Global user interface

Status: Resolved Priority: Should have
Author: Aske Ertmann Category:
Created: 2013-05-09 Assigned To: Aske Ertmann
Updated: 2014-10-04 Due date:
Subject: Inspector
Description

Implement an inspector component aligned to the right side of the viewport. The inspector contains all the non inline property editors
for the currently selected node.
Specification:
    -  Content breadcrumb #48080
    -  Collapsible
        -  Remember state
        -  Toggle animation is slide out/in from left
    -  Cancel button
    -  Apply button
    -  Position fixed with 100 % height
    -  Content not visible can be viewed by scrolling
    -  Property groups
        -  Collapsible
            -  Remember state
        -  Property editors
            -  Textfield
            -  Textarea
                -  Fly out when focussed
            -  Checkbox
            -  Selectbox
            -  Custom fields
                -  Image property
                -  Non-empty fields
            -  Validation
    -  Create separate SCSS file for all CSS
    -  Create separate JavaScript file for the component

Subtasks:
Task # 48980: Parts of the Aloha Floating Menu should be integrated into the inspector Resolved
Task # 49853: Redesign inspector collapse icons Resolved
Task # 49859: Date editor Resolved
Task # 49931: Add label for the whole inspector Resolved
Task # 49935: Chosen unselect button styling Resolved
Task # 49941: Styling/layout of secondary inspector Closed
Task # 49947: Rename caption label to 'Enable caption' Resolved
Related issues:
related to Base Distribution - Task # 48080: Breadcrumb Accepted 2013-07-11

Associated revisions
Revision ddc0308d - 2013-07-03 17:22 - Aske Ertmann

[!!!][FEATURE] Inspector interface and restructuring
Change-Id: I165a7e009fe2a19c438e8f7348658d0680324022
Resolves: #48091

Revision 1735efa8 - 2013-07-03 18:37 - Aske Ertmann

[BUGFIX] Minor styling fixing for inspector

Change-Id: Icdfc0f85133856c73379618da893b1ef4dfcce6d
Related: #48091

Revision 134499d9 - 2013-07-05 10:46 - Berit Hlubek

[TASK] Inspector: Change chosen search icon to FontAwesome

- Inside column layout selection selectbox

Change-Id: Ice083821985a058a2ac74d1daa59e598d29f4ce9
Related: #48091
Reviewed-on: https://review.typo3.org/21874
Reviewed-by: Berit Hlubek
Tested-by: Berit Hlubek

Revision 7faf9afc - 2013-10-03 16:28 - Aske Ertmann

[TASK] Minor styling improvements for select boxes

Change-Id: Ic0b5b09b4670037d6c53d7c853e1efb9b239e2de
Related: #48091
Reviewed-on: https://review.typo3.org/24315
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Dominique Feyer
Tested-by: Dominique Feyer

Revision cc4e7cca - 2013-12-08 18:46 - Aske Ertmann

[BUGFIX] Modified/error borders hidden for date fields in inspector

Change-Id: I82129d17b917e49830e8115a2f71e5b5f83bde5a
Related: #48091
Reviewed-on: https://review.typo3.org/26003
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Tested-by: Mr. Hudson
Reviewed-by: Sascha Nowak
Tested-by: Sascha Nowak

Revision e58a0238 - 2014-02-24 14:03 - Aske Ertmann

2015-08-04 2/5

https://review.typo3.org/21874
https://review.typo3.org/24315
https://review.typo3.org/26003


[BUGFIX] Opacity of datetime editor inspector field

After the module styling implementation uneditable fields
were made transparent and this also applied to the date
editor field, but it shouldn't since it's not really
uneditable since it has a wizard.

Change-Id: Iccf39764a666e2f11564431c09a787c671195c07
Related: #48091
Releases: master, 1.0
Reviewed-on: https://review.typo3.org/27600
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Karsten Dambekalns

Revision 2a6d77b2 - 2014-02-25 00:02 - Aske Ertmann

[BUGFIX] Opacity of datetime editor inspector field

After the module styling implementation uneditable fields
were made transparent and this also applied to the date
editor field, but it shouldn't since it's not really
uneditable since it has a wizard.

Change-Id: Iccf39764a666e2f11564431c09a787c671195c07
Related: #48091
Releases: master, 1.0
Reviewed-on: https://review.typo3.org/27813
Reviewed-by: Karsten Dambekalns
Tested-by: Karsten Dambekalns
Tested-by: Mr. Hudson
Reviewed-by: Aske Ertmann

History
#1 - 2013-05-10 10:16 - Rasmus Skjoldan
- Status changed from New to Accepted
- Assigned To deleted (Rasmus Skjoldan)

• Toggle animation is slide out/in from RIGHT
• Remember that when collapsed a tab sticks out from right border of viewport to enable expansion.

#2 - 2013-05-17 18:34 - Sebastian Kurfuerst
- Assigned To set to Aske Ertmann

#3 - 2013-06-29 22:53 - Gerrit Code Review
- Estimated time set to 0.00

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21741

#4 - 2013-06-29 22:54 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21741

#5 - 2013-06-29 22:54 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21741

#6 - 2013-07-03 15:30 - Gerrit Code Review
- Estimated time set to 0.00

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21741

#7 - 2013-07-03 16:01 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21741

#8 - 2013-07-03 16:30 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21741

#9 - 2013-07-03 16:33 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21741

#10 - 2013-07-03 16:33 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21741

#11 - 2013-07-03 16:34 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21741
#12 - 2013-07-03 17:22 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21741

#13 - 2013-07-03 17:35 - Aske Ertmann
- Status changed from Accepted to Resolved

Applied in changeset commit:ddc0308d08ef3af29c16127ec8377597fa6d4d17.

#14 - 2013-09-29 21:35 - Gerrit Code Review
- Estimated time deleted (0.00)
